## rock-master-20.06-planning-vfh-star 0.20190315

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(vfh_star 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
rock_library(vfh_star
    SOURCES
        DriveMode.cpp
        HorizonPlanner.cpp
        NNLookup.cpp
        NNLookupBox.cpp
        Tree.cpp
        TreeSearch.cpp  
        TreeNode.cpp 
        VFH.cpp
        VFHStar.cpp
    DEPS_PKGCONFIG base-lib envire
    HEADERS
        DriveMode.hpp
        HorizonPlanner.hpp
        NNLookup.hpp 
        NNLookupBox.hpp
        Tree.hpp
        TreeSearch.h
        TreeNode.hpp
        Types.h 
        VFH.h 
        VFHStar.h 
	)

rock_executable(nnlookup_test 
        NNLookupTest.cpp
    DEPS 
        vfh_star
)

=== test/CMakeLists.txt ===
rock_executable(vfh_star_test VFHStarTest.cpp
    DEPS vfh_star vfh_star-viz
    DEPS_PKGCONFIG vizkit3d vizkit3d-viz envire-viz)

=== viz/CMakeLists.txt ===
rock_vizkit_plugin(vfh_star-viz
    VFHTreeVisualization.cpp
    PluginLoader.cpp
    MOC VFHTreeVisualization.cpp
    DEPS vfh_star
    DEPS_PKGCONFIG base-viz
    HEADERS VFHTreeVisualization.hpp)

=== debian/changelog ===
rock-master-20.06-planning-vfh-star (0.20190315-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-planning/planning-vfh_star.git
  * branch: refs/heads/master
  * commit: 615709ea69e33cbc737f91bb9fff80d9f8728c88
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Wed, 16 Sep 2020 18:36:56 +0200

=== debian/control ===
Source: rock-master-20.06-planning-vfh-star
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-gui-vizkit3d, rock-master-20.06-slam-envire
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-planning-vfh-star
Architecture: any
Depends: ${shlibs:Depends}, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-gui-vizkit3d, rock-master-20.06-slam-envire, ruby
Description: local motion planning and obstacle avoidance based on the       VFH* approach
 This package contains an implementation of the Vector Field Histogram local
  obstacle avoidance based on the registration of consecutive laser scans, in 3D.
  Moreover, it provide a classical tree-based motion planning algorithm and the
  corresponding VFH* implementation
